Bug 1031673 - *.jpg files linked from the HTML documentation are missing
*.jpg files linked from the HTML documentation are missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.4
Unspecified Linux
unspecified Severity low
: rc
: ---
Assigned To: Tomas Heinrich
Dalibor Pospíšil
: Documentation, EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 09:12 EST by Marcel Kolaja
Modified: 2014-08-08 05:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 11:39:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (979 bytes, patch)
2013-11-18 09:45 EST, Marcel Kolaja
no flags Details | Diff

  None (edit)
Description Marcel Kolaja 2013-11-18 09:12:26 EST
Description of problem:
The HTML documentation links images that are not included in the RPM package. Therefore, the images are not displayed when the respective HTML file is opened in a browser.

Version-Release number of selected component (if applicable):
rsyslog-5.8.10-7.el6_4

How reproducible:
always

Steps to Reproduce:
1. Open one of the following files in /usr/share/doc/rsyslog-5.8.10/ in a browser:

dev_queue.html
rsyslog_secure_tls.html
tls_cert_ca.html
tls_cert_client.html
tls_cert_scenario.html
tls_cert_server.html
tls_cert_summary.html
tls_cert_udp_relay.html

Actual results:
Broken image icons appear (depending on your browser).

Expected results:
The actual images appear.

Additional info:
N/A
Comment 2 Marcel Kolaja 2013-11-18 09:45:50 EST
Created attachment 825694 [details]
proposed patch
Comment 3 Tomas Heinrich 2013-11-18 10:34:55 EST
You're right. Thanks again.

If I'm not mistaken, there are more files missing. Besides *.jpg, there are *.jpeg and *.png.
Comment 4 Marcel Kolaja 2013-11-20 11:24:52 EST
Created attachment 826735 [details]
proposed patch

There don't seem to be any *.jpeg files, but you're right about the *.png ones. Please, note that neither rfc5424layers.png nor rsyslog-vers.png are linked from any HTML file, but I don't see any harm in including them in the package.

Note You need to log in before you can comment on or make changes to this bug.